@echo off

color 8f
title 방화벽 스위칭 메뉴 제거
mode con cols=50 lines=15
pushd %~dp0



IF EXIST %Windir%\System32\sppsvc.exe  set SysPath=%Windir%\System32
IF EXIST %Windir%\Sysnative\sppsvc.exe set SysPath=%Windir%\Sysnative
SET RC=%SysPath%\reg.exe
echo.&echo.
echo          ---------------------------
echo            방화벽 스위칭 메뉴 제거
echo          ---------------------------
echo.
choice /t 02 /d n >nul
1>nul 2>nul del /s /q %Windir%\System32\FirewallOnOff.exe
echo       status: OK

echo.
reg.exe delete "HKLM\SOFTWARE\Classes\Directory\background\shell\FirewallOnOff" /f

cls
echo.&echo.&echo.&echo.&echo.&echo.
echo.            Done, Successfully.
choice /t 02 /d n >nul
exit

